## org.ascape.model.engine
Interface AgentSelector

All Superinterfaces:
  java.lang.Cloneable, Selector

All Known Implementing Classes:
  FlaggedTourAgentSelector, PartialTourAgentSelector, RandomAgentSelector, TourAgentSelector

    public interface AgentSelector

extends Selector

The Interface AgentSelector.

Method Summary
`IncrementalExecutionStrategy` `getStrategy()` Gets the strategy.
`boolean` `hasMoreAgents()` Checks for more agents.
`Agent` `nextAgent()` Next agent.
`void` `setStrategy(IncrementalExecutionStrategy strategy)` Sets the strategy.

Methods inherited from interface org.ascape.model.engine.Selector
`clone, reset`

Method Detail

### hasMoreAgents

    boolean hasMoreAgents()

  Checks for more agents.

  Returns:
    true, if successful

### nextAgent

    Agent nextAgent()

  Next agent.

  Returns:
    the agent

### getStrategy

    IncrementalExecutionStrategy getStrategy()

  Gets the strategy.

  Returns:
    the strategy

### setStrategy

    void setStrategy(IncrementalExecutionStrategy strategy)

  Sets the strategy.

  Parameters:
    `strategy` - the new strategy